Get KV bucket details
curl --request GET \
--url https://api.quiva.ai/storage/kv/{bucket} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/kv/{bucket}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/kv/{bucket}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"status": {
"backing_store": "BStream",
"bucket": "products",
"description": "Product catalog",
"bytes": 52428800,
"history": 5,
"ttl": 0,
"is_compressed": true
},
"config": {
"bucket": "products",
"max_bytes": 10737418240,
"max_value_size": 1048576,
"history": 5,
"num_replicas": 3
},
"stream_info": {
"cluster": {
"leader": "node-1",
"name": "quiva-cluster",
"replicas": [
{
"active": 0,
"current": true,
"name": "node-2"
},
{
"active": 0,
"current": true,
"name": "node-3"
}
]
},
"config": {
"name": "KV_products",
"subjects": [
"$KV.products.>"
],
"retention": "Limits",
"storage": "file",
"num_replicas": 3,
"discard": "old"
},
"created": "2025-05-08T12:49:45.029Z",
"state": {
"messages": 1250,
"bytes": 52428800,
"first_seq": 1,
"last_seq": 1250,
"consumer_count": 2,
"num_subjects": 1250
}
}
},
"metadata": {
"bucket": "products",
"duration": "3ms"
}
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}KV Buckets
Get KV bucket details
Retrieves information about a specific KV bucket
GET
/
storage
/
kv
/
{bucket}
Get KV bucket details
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the bucket
⌘I